stan::is_vector_like< const T > Struct Template Reference

Template metaprogram indicates whether a type is vector_like. More...

`#include <is_vector_like.hpp>`

## Public Types

enum | { value = stan::is_vector_like<T>::value }

## Detailed Description

### template<typename T>
struct stan::is_vector_like< const T >

Template metaprogram indicates whether a type is vector_like.

A type is vector_like if an instance can be accessed like a vector, i.e. square brackets.

Access is_vector_like::value for the result.

This metaprogram removes the const qualifier.

Template Parameters

  T | Type to test

Definition at line 53 of file is_vector_like.hpp.

## Member Enumeration Documentation

## anonymous enum

template<typename T >

anonymous enum

Enumerator
value |

Definition at line 54 of file is_vector_like.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/meta/is_vector_like.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.